summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorA. Wilcox <AWilcox@Wilcox-Tech.com>2024-12-11 20:47:11 -0600
committerA. Wilcox <AWilcox@Wilcox-Tech.com>2024-12-11 20:47:11 -0600
commit93194fcd4be5fafc1c6ac02781e2f6cc32de9093 (patch)
tree342577a3822086702b6d2dde32eb63460dd5bf3d
parent5fd1aa77f34987ad73d83a5cac60c25e22273986 (diff)
downloadpackages-93194fcd4be5fafc1c6ac02781e2f6cc32de9093.tar.gz
packages-93194fcd4be5fafc1c6ac02781e2f6cc32de9093.tar.bz2
packages-93194fcd4be5fafc1c6ac02781e2f6cc32de9093.tar.xz
packages-93194fcd4be5fafc1c6ac02781e2f6cc32de9093.zip
scripts/newstrap.sh: Misc fixes
* Typo BOOSTRAP -> BOOTSTRAP. * Put /usr/bin ahead of CS_PATH because POSIX make(1) in /usr/5bin makes binutils very sad. * Use --usermode when invoking APK which does nothing in our actual environment (it's an unknown flag) but makes user-mode bootstrap work in the preimage environment.
-rwxr-xr-xscripts/newstrap.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/scripts/newstrap.sh b/scripts/newstrap.sh
index 885c9425b..7798e68a7 100755
--- a/scripts/newstrap.sh
+++ b/scripts/newstrap.sh
@@ -10,7 +10,7 @@ readonly DEF_ARCH=$(uname -m)
readonly DEF_TD=${HOME}/builds
readonly DISTRO_NAME="Adélie Linux"
readonly PROGNAME=$(basename $0)
-export PATH=`$(command -v getconf || echo false) CS_PATH || echo /usr/local/bin:/usr/bin:/bin`:/usr/local/sbin:/usr/sbin:/sbin
+export PATH=/usr/bin:`$(command -v getconf || echo false) CS_PATH || echo /usr/local/bin:/usr/bin:/bin`:/usr/local/sbin:/usr/sbin:/sbin
###
@@ -136,7 +136,7 @@ info "Building stage1 bootstrap tools ($(uname -m) -> $ARCH)..."
[ -z ${BE_VERBOSE+v} ] || info 'Setting up APK...'
mkdir -p "$TARGET_DIR"/etc/apk/keys
cp -a "$KEY_DIR"/* "$TARGET_DIR"/etc/apk/keys/
-${APK} add ${BE_VERBOSE---quiet} --initdb --arch $ARCH --root "$TARGET_DIR"
+${APK} add ${BE_VERBOSE---quiet} --usermode --initdb --arch $ARCH --root "$TARGET_DIR"
[ -z ${BE_VERBOSE+v} ] || info 'Setting up configuration...'
@@ -191,7 +191,7 @@ abuild_target() {
CTARGET=$ARCH BOOTSTRAP=nobase abuild_host binutils
CHOST=$ARCH BOOTSTRAP=nocc abuild_host musl
-EXTRADEPENDS_HOST=musl-dev CTARGET=$ARCH BOOSTRAP=nolibc abuild_host gcc
+EXTRADEPENDS_HOST=musl-dev CTARGET=$ARCH BOOTSTRAP=nolibc abuild_host gcc
EXTRADEPENDS_BUILD=gcc-pass2-$ARCH CHOST=$ARCH BOOTSTRAP=nolibc abuild_host musl
EXTRADEPENDS_TARGET="musl musl-dev" CTARGET=$ARCH BOOSTRAP=nobase abuild_host gcc